%global short_name      commons-validator
Name:                apache-%{short_name}
Version:             1.5.0
Release:             3
Summary:             Apache Commons Validator
License:             ASL 2.0
URL:                 http://commons.apache.org/validator/
Source0:             http://archive.apache.org/dist/commons/validator/source/commons-validator-1.5.0-src.tar.gz
BuildArch:           noarch
BuildRequires:       maven-local mvn(commons-beanutils:commons-beanutils)
BuildRequires:       mvn(commons-collections:commons-collections)
BuildRequires:       mvn(commons-digester:commons-digester) mvn(commons-logging:commons-logging)
BuildRequires:       mvn(junit:junit) mvn(org.apache.commons:commons-parent:pom:)
BuildRequires:       mvn(org.apache.maven.plugins:maven-antrun-plugin)
%description
A common issue when receiving data either electronically or from user input is
verifying the integrity of the data. This work is repetitive and becomes even
more complicated when different sets of validation rules need to be applied to
the same set of data based on locale for example. Error messages may also vary
by locale. This package attempts to address some of these issues and speed
development and maintenance of validation rules.

%package javadoc
Summary:             Javadoc for %{name}
%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{short_name}-%{version}-src
sed -i 's/\r//' LICENSE.txt
sed -i 's/\r//' RELEASE-NOTES.txt
sed -i 's/\r//' NOTICE.txt
%mvn_alias "%{short_name}:%{short_name}" "org.apache.commons:%{short_name}"
%mvn_file :commons-validator %{short_name} %{name}

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE.txt NOTICE.txt RELEASE-NOTES.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt NOTICE.txt

%changelog
* Tue Nov 15 2022 caodongxia <caodongxia@h-partners.com> - 1.5.0-3
- Modify invalid source0

* Mon Sep 14 2020 shaoqiang kang <kangshaoqiang1@huawei.com> - 1.5.0-2
- Modify source 

* Tue Aug 4 2020 yanan li <liyanan032@huawei.com> - 1.5.0-1
- Package init
